@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΕΠΙΔΙΟΡΘΩΝΕΙ 1 ή ΠΕΡΙΣΣΟΤΕΡΑ ΑΡΧΕΙΑ ΒΙΝΤΕΟ ΠΟΥ ΤΟΥ ΒΑΖΕΤΕ ΩΣ ΟΡΙΣΜΑΤΑ
REM Π.Χ. vidrepair 1video.mp4 2video.mov 3video.flv 4video.avi 7video.webm 
REM ΑΝ ΘΕΛΕΤΕ ΝΑ ΤΟ ΔΟΚΙΜΑΣΕΤΕ ΣΤΟΝ ΙΔΙΟ ΦΑΚΕΛΟ ΜΕ ΤΑ VIDEO ΑΠΟ ΤΟ OBS
REM ΑΦΑΙΡΕΣΤΕ ΤΑ 2 ΜΙΚΡΑ rem ΣΤΗΝ ΑΡΧΗ ΚΑΙ ΤΟ ΤΕΛΟΣ ΤΟΥ SCRIPT.
REM ΑΛΛΙΩΣ ΑΝ ΤΟ ΒΑΛΕΤΕ ΣΤΟΝ ΦΑΚΕΛΟ BIN TOY FFMPEG ΔΟΥΛΕΥΕΙ ΩΣ ΕΧΕΙ
REM ΑΝ ΠΡΟΚΥΨΕΙ ΑΛΛΟ ERROR CODE ΠΡΟΦΑΝΩΣ ΘΕΛΕΙ ΑΛΛΗ ΕΝΤΟΛΗ. Η ΛΥΣΗ ΕΙΝΑΙ ΠΡΟΦΑΝΗΣ
REM ΠΡΟΣΘΕΣΤΕ ΑΚΟΜΑ ΜΙΑ ΡΟΥΤΙΝΑ ΜΕ ΝΕO if %ERRORLEVEL% EQU NEOCODE goto FFNEOCODE OPWS H :FF22 
REM ΤΟ ΑΦΗΣΑ ΈΞΩ ΑΠΟ ΤΟ VIDMENU ΓΙΑΤΙ ΗΤΑΝ ΤΟ ΠΡΩΤΟ FFMPEG SCRIPT MOY & ΠΑΙΖΕΙ ΜΕ ΤΑ ERRORLEVEL
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

ffmpeg -err_detect ignore_er -i "%~1" -c copy "%~p1%~n1-repaired.%~x1"

if %ERRORLEVEL% NEQ 0 goto ERROR

shift
if "%~1" == "" goto End
goto FF

rem endlocal 

:ERROR
if %ERRORLEVEL% EQU -22 goto FF22
if "%~1" == "" (
    echo "########################################################"
    echo "TO FFMPEG THELEI ARXEIA VIDEO GIA NA TA EPIDIORTHWSEI XD"
    echo "########################################################"
) else (
  echo "#######################################################################"
  echo "KAPOIO PROVLHMA PAROYSIASTHKE. AKOLOYTHEI TO ERROR CODE TOY PROVLHMATOS"
  echo %errorlevel%
  echo "#######################################################################"
)
exit /b 1 

:FF22

ffmpeg -i "%~1" -c:v libx264 -crf 22 -preset slow "%~p1%~n1-repaired-crf22.%~x1"

shift
goto FF


:End 
exit /b 2
